﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Infragitstics.MotionFramework.Controls
{
    public partial class BubbleMarker : UserControl
    {
        public BubbleMarker()
        {
            InitializeComponent();
            this.AnimDuration = TimeSpan.FromMilliseconds(500);
        }

        #region properties
        #region IsAnimated
        public bool IsAnimated
        {
            get { return (bool)GetValue(IsAnimatedProperty); }
            set { SetValue(IsAnimatedProperty, value); }
        }

        // Using a DependencyProperty as the backing store for IsAnimated.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty IsAnimatedProperty =
            DependencyProperty.Register("IsAnimated",
            typeof(bool),
            typeof(BubbleMarker),
            new PropertyMetadata(true));
        #endregion

        #region Radius
        public decimal LocalRadius
        {
            get { return (int)GetValue(RadiusProperty); }
            set { SetValue(RadiusProperty, value); }
        }

        // Using a DependencyProperty as the backing store for Radius.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty RadiusProperty =
            DependencyProperty.Register(
            "LocalRadius",
            typeof(decimal),
            typeof(BubbleMarker),
            new PropertyMetadata(RadiusChanged));

        public static void RadiusChanged(DependencyObject sender, DependencyPropertyChangedEventArgs e)
        {
            BubbleMarker ctrl = sender as BubbleMarker;
            double nV = double.Parse(e.NewValue.ToString());
            if (nV >= 10 && ctrl.IsAnimated)
                ctrl.mainGrid.AnimateSize(nV, nV, ctrl.AnimDuration);
        }
        #endregion

        #region AnimDuration
        public TimeSpan AnimDuration
        {
            get { return (TimeSpan)GetValue(AnimDurationProperty); }
            set { SetValue(AnimDurationProperty, value); }
        }

        // Using a DependencyProperty as the backing store for AnimDuration.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty AnimDurationProperty =
            DependencyProperty.Register(
            "AnimDuration",
            typeof(TimeSpan),
            typeof(BubbleMarker),
            new PropertyMetadata(AnumDurationChanged));

        public static void AnumDurationChanged(DependencyObject sender, DependencyPropertyChangedEventArgs e)
        {

        }
        #endregion
        #endregion
    }
}
