﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Collections;
using System.ComponentModel;

namespace Infragitstics.MotionFramework
{
    public class DemoModel : INotifyPropertyChanged
    {
        private static Random _rnd;

        static DemoModel()
        {
            _rnd = new Random();
        }

        public int ValueX { get; set; }
        public int ValueY { get; set; }
        private int _valueR;

        public int ValueR
        {
            get { return _valueR; }
            set { _valueR = value; this.OnPropertyChanged("ValueR"); }
        }

        public DateTime ValueDateTime { get; set; }
        public string ToolTip { get; set; }


        public static IList<DemoModel> GetRandomData(int maxValues)
        {
            List<DemoModel> result = new List<DemoModel>(maxValues);
            DateTime valueDateTime = DateTime.Now.AddDays(maxValues * -1);

            for (int i = 0; i < maxValues; i++)
            {
                result.Add(new DemoModel { 
                    ValueX = (i+1)*500 + _rnd.Next(80,243) + _rnd.Next(3,7) * 100,
                    ValueY = 10 + _rnd.Next(0,100),
                    ValueR = 10 + _rnd.Next(1,40),
                    ValueDateTime = valueDateTime
                });
                valueDateTime = valueDateTime.AddDays(1);
            }
            return result;
        }

        public static Dictionary<int,IList> GetDictionaryData(int maxSeries, int maxDataPerSeries)
        {
            Dictionary<int, IList> dict = new Dictionary<int, IList>();
            for (int i = 0; i < maxSeries; i++)
            {
                dict.Add(i, (IList)GetRandomData(maxDataPerSeries));
            }
            return dict;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string PropertyName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
        }
    }
}
