﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Infragitstics.MotionFramework
{
    public partial class Home : Page
    {
        private CoreMF _coreMF;
        public Home()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(Home_Loaded);
        }

        #region EventHandlers
        void Home_Loaded(object sender, RoutedEventArgs e)
        {
            this._coreMF = new CoreMF();
            this._coreMF.DataChart = this.dcMotion;
            this._coreMF.MarkerTemplate = this.Resources["MarkerTemplate"] as DataTemplate;
            this._coreMF.DataSource = DemoModel.GetDictionaryData(5, 25);
            this._coreMF.PropertyNameR = "ValueR";
            this._coreMF.PropertyNameX = "ValueX";
            this._coreMF.PropertyNameY = "ValueY";
            this._coreMF.XAxisName = "axisX";
            this._coreMF.YAxisName = "axisY";
            this._coreMF.ChartLegend = this.mainLegend;
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }

        private void btnPlay_Click(object sender, RoutedEventArgs e)
        {
            this._coreMF.Play();
        }
        #endregion
    }
}